import pystim_pkg::*;

module math_pi();

    typedef pystim_pkg::pystim py;

    initial begin
        py::initialize_interpreter();
        begin
            automatic py_module math_module = py_module::import_("math");
            automatic py_object pi = math_module.attr("pi").obtain();
            automatic real pi_value = pi.cast_float().get_value();
            $display("The value of pi is: %0f", pi_value);
        end
        py::finalize_interpreter();
    end

endmodule